#!/bin/bash

tag=v0.0.9

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=/home/jamie/source/rpmbuild/SOURCES

pushd "$tmp"
git clone git://github.com/felixge/node-stack-trace.git
cd node-stack-trace
git archive --prefix="test/" --format=tar tags/${tag}:test/ \
    | bzip2 > "$pwd"/tests-${tag}.tar.bz2
popd
